#ifndef KTEXTEDITOR_H
#define KTEXTEDITOR_H

#include <QWidget>
#include <QTextEdit>
#include "gui_g.h"

namespace kdk {

class KTextEditorPrivate;

class GUI_EXPORT KTextEditor :public QWidget
{
    Q_OBJECT
public:
    KTextEditor(QWidget* parent = nullptr);

    QTextEdit* textEdit();


protected:
    void paintEvent(QPaintEvent* event);
    bool eventFilter(QObject *watched, QEvent *event);

private:
    Q_DECLARE_PRIVATE(KTextEditor)
    KTextEditorPrivate* const d_ptr;

};
}
#endif // KTEXTEDITOR_H


